Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class OCSPReq

    java.lang.Object
      |
      +--org.bouncycastle.ocsp.OCSPReq

public class OCSPReq
extends java.lang.Object

Constructor Summary
`OCSPReq(byte[] req)`
`OCSPReq(java.io.InputStream in)`
`OCSPReq(OCSPRequest req)`

Method Summary
`java.security.cert.X509Certificate[]` | `getCerts(java.lang.String provider)`
`byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
`X509Extensions` | `getRequestExtensions()`
`Req[]` | `getRequestList()`
`GeneralName` | `getRequestorName()`
`byte[]` | `getSignature()`
`java.lang.String` | `getSignatureAlgOID()` return the object identifier representing the signature algorithm
`int` | `getVersion()`
`boolean` | `isSigned()`
`boolean` | `verify(java.security.PublicKey key, java.lang.String sigProvider)` verify the signature against the TBSRequest object we contain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPReq

    public OCSPReq(OCSPRequest req)

### OCSPReq

    public OCSPReq(byte[] req)
            throws java.io.IOException

### OCSPReq

    public OCSPReq(java.io.InputStream in)
            throws java.io.IOException

Method Detail

### getVersion

    public int getVersion()

### getRequestorName

    public GeneralName getRequestorName()

### getRequestList

    public Req[] getRequestList()

### getRequestExtensions

    public X509Extensions getRequestExtensions()

### getSignatureAlgOID

    public java.lang.String getSignatureAlgOID()

  return the object identifier representing the signature algorithm

### getSignature

    public byte[] getSignature()

### getCerts

    public java.security.cert.X509Certificate[] getCerts(java.lang.String provider)
                                                  throws OCSPException,
                                                         java.security.NoSuchProviderException

    `OCSPException`
    `java.security.NoSuchProviderException`

### isSigned

    public boolean isSigned()

### verify

    public boolean verify(java.security.PublicKey key,
                          java.lang.String sigProvider)
                   throws OCSPException,
                          java.security.NoSuchProviderException

  verify the signature against the TBSRequest object we contain.

    `OCSPException`
    `java.security.NoSuchProviderException`

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD